import service from '@/utils/request'
export const createGameTask = (data) => {
    return service({
      url: '/gameTask/create',
      method: 'post',
      data
    })
  }


  export const getGameTaskList = (data) => {
    return service({
      url: '/gameTask/getGameTaskList',
      method: 'post',
      data
    })
  }

  export const getGameTaskById = (data) => {
    return service({
      url: '/gameTask/getGameTaskById',
      method: 'post',
      data
    })
  }

  export const statusOperation = (data) => {
    return service({
      url: '/gameTask/statusOperation',
      method: 'post',
      data
    })
  }

  export const updateGameTask = (data) => {
    return service({
      url: '/gameTask/update',
      method: 'post',
      data
    })
  }

  export const deleteGameTask = (data) => {
    return service({
      url: '/gameTask/delete',
      method: 'post',
      data
    })
  }